package com.ruoyi.project.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsWordResultsMapper;
import com.ruoyi.project.domain.TrsWordResults;
import com.ruoyi.project.service.ITrsWordResultsService;
import com.ruoyi.common.core.text.Convert;

/**
 * WordresultsService业务层处理
 * 
 * @author ruoyi
 * @date 2025-09-05
 */
@Service
public class TrsWordResultsServiceImpl implements ITrsWordResultsService 
{
    @Autowired
    private TrsWordResultsMapper trsWordResultsMapper;

    /**
     * 查询Wordresults
     * 
     * @param id Wordresults主键
     * @return Wordresults
     */
    @Override
    public TrsWordResults selectTrsWordResultsById(Long id)
    {
        return trsWordResultsMapper.selectTrsWordResultsById(id);
    }

    /**
     * 查询Wordresults列表
     * 
     * @param trsWordResults Wordresults
     * @return Wordresults
     */
    @Override
    public List<TrsWordResults> selectTrsWordResultsList(TrsWordResults trsWordResults)
    {
        return trsWordResultsMapper.selectTrsWordResultsList(trsWordResults);
    }

    /**
     * 新增Wordresults
     * 
     * @param trsWordResults Wordresults
     * @return 结果
     */
    @Override
    public int insertTrsWordResults(TrsWordResults trsWordResults)
    {
        return trsWordResultsMapper.insertTrsWordResults(trsWordResults);
    }

    /**
     * 修改Wordresults
     * 
     * @param trsWordResults Wordresults
     * @return 结果
     */
    @Override
    public int updateTrsWordResults(TrsWordResults trsWordResults)
    {
        return trsWordResultsMapper.updateTrsWordResults(trsWordResults);
    }

    /**
     * 批量删除Wordresults
     * 
     * @param ids 需要删除的Wordresults主键
     * @return 结果
     */
    @Override
    public int deleteTrsWordResultsByIds(String ids)
    {
        return trsWordResultsMapper.deleteTrsWordResultsByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除Wordresults信息
     * 
     * @param id Wordresults主键
     * @return 结果
     */
    @Override
    public int deleteTrsWordResultsById(Long id)
    {
        return trsWordResultsMapper.deleteTrsWordResultsById(id);
    }
}
